> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removePayrollLineItemTaxAdjustment

> The `removePayrollLineItemTaxAdjustment` API is used to remove tax adjustments that have been applied to an employee for a pay period.

### When to use:
- When a tax adjustment is no longer necessary
- When a tax adjustment has been incorrectly added to an employee or the wrong type `(taxName)` has been added 



## OpenAPI

````yaml post /payroll/removePayrollLineItemTaxAdjustment
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/removePayrollLineItemTaxAdjustment:
    post:
      tags: []
      summary: removePayrollLineItemTaxAdjustment
      description: >-
        The `removePayrollLineItemTaxAdjustment` API is used to remove tax
        adjustments that have been applied to an employee for a pay period.


        ### When to use:

        - When a tax adjustment is no longer necessary

        - When a tax adjustment has been incorrectly added to an employee or the
        wrong type `(taxName)` has been added 
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                employeeId:
                  type: string
                taxName:
                  type: string
              required:
                - method
                - companyId
                - payPeriodId
                - employeeId
                - taxName
            example:
              method: removePayrollLineItemTaxAdjustment
              companyId: 3A08507F-E78B-4ABF-98D8-87D382E7CE14
              payPeriodId: 3C068DE4-038F-4874-B99B-4AFD7CB39351
              employeeId: BA445FB2-A3CA-43B7-BB8A-399BDE85486C
              taxName: Federal Withholding Tax
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                required:
                  - success
                  - message
              example:
                success: true
                message: Tax adjustment removed successfully
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: companyId is mandatory
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````